%global git_tag c39d229f46868132c9ef25df29d95ea2777773c1

Epoch:          1
Name:           eclipse-launchbar
Version:        2.0.1
Release:        %mkrel 1
Group:          Development/Java

Summary:        Eclipse Launchbar plug-in
License:        EPL
URL:            https://wiki.eclipse.org/CDT/LaunchBar

Source0:        http://git.eclipse.org/c/cdt/org.eclipse.launchbar.git/snapshot/org.eclipse.launchbar-%{git_tag}.tar.xz

Patch0: eclipse-launchbar-annotation.patch

BuildArch:      noarch

BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-pde
BuildRequires: eclipse-license
BuildRequires: eclipse-remote

%description
An alternative to the default launcher toolbar in Eclipse.

%prep
%setup -q -n org.eclipse.launchbar-%{git_tag}
%patch0 -p1
find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

%pom_disable_module repo
%pom_disable_module tests/org.eclipse.launchbar.core.tests

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles



%changelog
* Tue Oct 04 2016 daviddavid <daviddavid> 1:2.0.1-1.mga6
+ Revision: 1058560
- Update to Neon.1 release

* Wed May 04 2016 neoclust <neoclust> 1:2.0.0-0.1.git1f95c6c.1.mga6
+ Revision: 1009359
- New version 2.0.0

* Wed Mar 02 2016 neoclust <neoclust> 1.0.1-0.2.git3c10977.3.mga6
+ Revision: 982308
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.0.1-0.2.git3c10977.2.mga6
+ Revision: 975802
- First rebuild of the java stack
- sync package eclipse-launchbar with fedora

